<?php

require_once('qsapi-post-3.8.class.php');

$qs = new QuickSwipePost;

$qs->setParam('account_id',$account_id);
$qs->setParam('api_accesskey',$api_accesskey);
$qs->setParam('ip_address',$_SERVER['REMOTE_ADDR']);
$qs->setParam('transaction_type','SALE');
$qs->setParam('transaction_amount',$amount);                                                                                                                                  

$tender_type = 'CARD';
$qs->setParam('tender_type',$tender_type);

if($tender_type === 'CARD') {
  $qs->setParam('card_number',$card_number);
  $qs->setParam('card_expiration',$card_expire);
} elseif($pay_type === 'ACH') {
  $qs->setParam('bank_routing_number',$routing_number);
  $qs->setParam('bank_account_number',$account_number);
}

$qs->setParam('first_name',$bill_name1);
$qs->setParam('last_name',$bill_name2);
$qs->setParam('street_address1',$bill_street);
$qs->setParam('city',$bill_city);
$qs->setParam('state',$bill_state);
$qs->setParam('zip',$bill_zip);
$qs->setParam('country','US');
$qs->setParam('email',$cust_email);
$qs->setParam('phone',$cust_phone);

$qs->setParam('transaction_description',$description); 

$qs->setParam('custom_data',$custom_data);

$qs->setParam('disable_avs','1');
$qs->setParam('disable_cvv2','1');
$qs->setParam('disable_fraudfirewall','1');

$result = $qs->process();
$rinfo = $qs->getResponse();

if($result) {

  foreach ($rinfo as $key => $value) {
    echo "$key: $value  ";
  }
} else {

  if (!empty($rinfo['authorization_message'])) {
    $error = htmlentities("$rinfo[error_message]: $rinfo[authorization_message]");
  } else {
    $error = htmlentities("$rinfo[error_message] ($rinfo[error_code])");
  }
  echo "Error Message: $error";
}

?>
